*{
    box-sizing: border-box;
    margin: 0%;
    padding: 0%;

}


.buscar{

    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    left: 70%;
    top: 25%;
    transform: translate(-50%,-50%);
    background: black;
    padding:  30px;
    height: 10px;
    border-radius: 40px;
   
}

.icon-search:before {
    content: "\1f50d";
  }

.buscar_texto{

    border: none;
    background: none;
    outline: none;
    color: blue;
    font-size: 20px;
    float: left;
    line-height: 60px;
    transition: .5s;
    width: 0%;
}

.button{

    width: 40px;
    height: 40px;
    text-decoration: none;
    color: white;
    font-size: 30px;
   

}

@media screen and (min-width: 1024px){

    .buscar:hover> .buscar_texto{
        width:800px ;
    }
}
